package com.xhkjedu.suser.mapper.system;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.suser.model.system.TUserUsecret;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface UserUsecretMapper extends TkMapper<TUserUsecret> {
    //获取密保问题使用频次
    Integer getUseNumByUsId(Integer usid);

    //根据用户id删除关联密保
    void deleteByUserId(Integer userid);

    //根据用户id获取关联密保
    List<Map> listUsecret(Integer userid);

    //获取用户密保答案
    String getAnswerById(Integer userid, Integer usid);
}
